package main

import (
	"flag"
	"fmt"
	"log"
	"net/http"
)

func main() {
	var bind = flag.String("bind", "0.0.0.0:8081", "Bind port/socket")
	flag.Parse()

	log.Println("Registering handlers...")
	http.HandleFunc("/", Home)
	http.HandleFunc("/vote", Vote)
	log.Println(fmt.Sprintf("Ready, listening on %s", *bind))
	if err := http.ListenAndServe(*bind, nil); err != nil {
		log.Fatal("Unable to listen and serve: ", err)
	}
}
